Summary: An X game similar to the C64 Crossroads game.
Name: xroads
Version: 0.6
Release: 2
Copyright: GPL
Group: Amusements/Games
Source: http://www.autobahn.mb.ca/~foxtrot/xroads-v0.6.tar.gz
Source1: xroads-RUNME
Url: http://www.autobahn.mb.ca/~foxtrot/xroads.html
BuildRoot: /var/tmp/xroads-root
ExclusiveArch: i386

%description
XRoads is similar to the Commodore 64 (C64) game Crossroads and its
sequel Pandemonium.  XRoads is basically a two-dimensional, overhead
view game set in a maze, in which you fight against a gang of monsters
and run around collecting powerups.

%prep
%setup -q -n  xroads-v0.6
%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin/games 
mkdir -p $RPM_BUILD_ROOT/usr/lib/games/xroads

install -m 755 -g root -o root -s xroads $RPM_BUILD_ROOT/usr/bin/games/
install -m 755 -g root -o root $RPM_SOURCE_DIR/xroads-RUNME  $RPM_BUILD_ROOT/usr/bin/games/

cp $RPM_BUILD_DIR/xroads-v%{version}/map*.xrm $RPM_BUILD_ROOT/usr/lib/games/xroads/
chown root.root $RPM_BUILD_ROOT/usr/lib/games/xroads/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG README BUGS 
/usr/bin/games/*
/usr/lib/games/*

%changelog
* Wed Aug 25 1999 Tim Powers <timp@redhat.com>
- now removed files successfully on uninstall

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated to 0.6 
- built for 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built for 6.0 glibc 2.1

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package

* Wed Jul 09 1998 Michael Maher <mike@redhat.com>
- built package
